<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_kshield', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package   auth_kshield
 * @copyright 2013 TDP Ltd  {@link http://www.tdp.cz}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['auth_kshield_url'] = 'KeyShield SSO Server URL';
$string['auth_kshield_apikey'] = 'KeyShield SSO API key';
$string['auth_kshield_userattr'] = 'Username attribute';
$string['auth_kshield_ipsrvattr'] = 'Client IP address Server property';

$string['pluginname'] = 'KeyShield SSO';
$string['pluginnotenabled']= 'KeyShield SSO plugin is not enabled!';
$string['auth_kshielddescription'] = "KeyShield SSO plugin configuration enables authentication against KeyShield SSO Server. Don't forget to configure the LDAP authentication method.";
$string['auth_kshield_server_settings'] = "KeyShield SSO settings" ;
$string['not_specified'] = "Not specified" ;
$string['err_invalid_server_response'] = "Server on the specified URL responded incorrectly. Try to specify correct KeyShield SSO API key.";
$string['err_invalid_api_key'] = "Specify correct KeyShield SSO API key.";
$string['err_unable_to_connect'] = "Unable to connect to KeyShield SSO server!";
$string['err_invalid_ip_srv_prop'] = "This Server property is not set!";
$string['curl_noextension'] = "PHP CURL must be installed!";
$string['json_decode_noextension'] = "PHP JSON must be installed!";